set statistics time on
go
dbcc traceon(9493,-1)
go
if exists (select name from sysobjects  where name = 'MOD_OLDORDERS') 
			drop table MOD_OLDORDERS
go
select 
OLD.O_ORDERKEY O_ORDERKEY, O_ORDERDATE,L_SHIPDATE into MOD_OLDORDERS
from 
[dbo].[OLDORDERS] OLD
inner hash join ORDERS [CURRENT] on OLD.O_ORDERKEY=[CURRENT].O_ORDERKEY
inner hash join LINEITEM on OLD.O_ORDERKEY=L_ORDERKEY
option(maxdop 40)
go
--create index OLD_ORDERS on MOD_OLDORDERS (O_ORDERDATE,O_ORDERKEY) with (maxdop= 20)
go
--create index OLD_LINEITEM on MOD_OLDORDERS (L_SHIPDATE,O_ORDERKEY) with (maxdop= 20)
go
--create index OLD_DC on MOD_OLDORDERS (O_ORDERDATE,L_SHIPDATE,O_ORDERKEY) with (maxdop= 20)
go

CREATE STATISTICS [O_ORDERDATE] ON [dbo].MOD_OLDORDERS([O_ORDERDATE])
CREATE STATISTICS [O_ORDERKEY] ON [dbo].MOD_OLDORDERS([O_ORDERKEY])
CREATE STATISTICS [L_SHIPDATE] ON [dbo].MOD_OLDORDERS([L_SHIPDATE])
go
